From ded965fc90b223a834ac52d55512587b7a6ea139 Mon Sep 17 00:00:00 2001
From: Corey Huinker <corey@paribus.co>
Date: Fri, 18 Oct 2019 06:15:10 -0400
Subject: [PATCH] add document change badges

---
 doc/src/sgml/acronyms.sgml              |  6 +++---
 doc/src/sgml/stylesheet-html-common.xsl | 10 ++++++++++
 doc/src/sgml/stylesheet.css             | 10 ++++++++++
 3 files changed, 23 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index f638665dc9..87bfef04be 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -10,7 +10,7 @@
   <variablelist>
 
    <varlistentry>
-    <term><acronym>ANSI</acronym></term>
+    <term revision="test badge on term"><acronym>ANSI</acronym></term>
     <listitem>
      <para>
       <ulink url="https://en.wikipedia.org/wiki/American_National_Standards_Institute">
@@ -19,7 +19,7 @@
     </listitem>
    </varlistentry>
 
-   <varlistentry>
+   <varlistentry revision="v15 on varlistentry">
     <term><acronym>API</acronym></term>
     <listitem>
      <para>
@@ -31,7 +31,7 @@
    <varlistentry>
     <term><acronym>ASCII</acronym></term>
     <listitem>
-     <para>
+     <para revision="badge on para">
       <ulink url="https://en.wikipedia.org/wiki/Ascii">American Standard
       Code for Information Interchange</ulink>
      </para>
diff --git a/doc/src/sgml/stylesheet-html-common.xsl b/doc/src/sgml/stylesheet-html-common.xsl
index 9edce52a10..cb04cb7f0d 100644
--- a/doc/src/sgml/stylesheet-html-common.xsl
+++ b/doc/src/sgml/stylesheet-html-common.xsl
@@ -289,4 +289,14 @@ set       toc,title
   </xsl:choose>
 </xsl:template>
 
+<!--<xsl:template name="revision.badge">-->
+<xsl:template match="//*[@revision]">
+  <xsl:param name="node" select="."/>
+  <xsl:variable name="revision" as="xs:string?" select="$node/@revision"/>
+  <xsl:if test="$revision">
+    <span class="revision-badge"><xsl:value-of select="$revision"/></span>
+  </xsl:if>
+  <xsl:apply-templates/>
+</xsl:template>
+
 </xsl:stylesheet>
diff --git a/doc/src/sgml/stylesheet.css b/doc/src/sgml/stylesheet.css
index 1a66c789d5..d0cae2f59f 100644
--- a/doc/src/sgml/stylesheet.css
+++ b/doc/src/sgml/stylesheet.css
@@ -109,3 +109,13 @@ acronym		{ font-style: inherit; }
     width: 75%;
   }
 }
+
+/* version badge styling */
+span.revision-badge {
+	visibility: visible  ;
+    color: white;
+	background-color: #00933C;
+	border: 1px solid #000000;
+	border-radius: 2px;
+    padding: 1px;
+}
-- 
2.14.1

